package bean.query;

import sicura.entities.ComboDisposizioni;
import sicura.entities.DisposizioniBonifici;

public class DisposizioniBonificiDecoded {

	private DisposizioniBonifici disposizione;
	private ComboDisposizioni comboDisposizioniCausale;
	private ComboDisposizioni comboDisposizioniStatoSep;
	private ComboDisposizioni comboDisposizioneAnomaliaSep;
	private ComboDisposizioni comboDisposizioneCausaScarto;
	
	public DisposizioniBonificiDecoded(DisposizioniBonifici disposizione,ComboDisposizioni comboDisposizioniCausale,
			ComboDisposizioni comboDisposizioniStatoSep,
			ComboDisposizioni comboDisposizioneAnomaliaSep,
			ComboDisposizioni comboDisposizioneCausaScarto) {
		this.disposizione = disposizione;
		this.comboDisposizioniCausale = comboDisposizioniCausale;
		this.comboDisposizioniStatoSep = comboDisposizioniStatoSep;
		this.comboDisposizioneAnomaliaSep = comboDisposizioneAnomaliaSep;
		this.comboDisposizioneCausaScarto = comboDisposizioneCausaScarto;
	}

	public DisposizioniBonifici getDisposizione() {
		return disposizione;
	}

	public void setDisposizione(DisposizioniBonifici disposizione) {
		this.disposizione = disposizione;
	}

	public ComboDisposizioni getComboDisposizioniCausale() {
		return comboDisposizioniCausale;
	}

	public void setComboDisposizioniCausale(ComboDisposizioni comboDisposizioniCausale) {
		this.comboDisposizioniCausale = comboDisposizioniCausale;
	}

	public ComboDisposizioni getComboDisposizioniStatoSep() {
		return comboDisposizioniStatoSep;
	}

	public void setComboDisposizioniStatoSep(ComboDisposizioni comboDisposizioniStatoSep) {
		this.comboDisposizioniStatoSep = comboDisposizioniStatoSep;
	}

	public ComboDisposizioni getComboDisposizioneAnomaliaSep() {
		return comboDisposizioneAnomaliaSep;
	}

	public void setComboDisposizioneAnomaliaSep(ComboDisposizioni comboDisposizioneAnomaliaSep) {
		this.comboDisposizioneAnomaliaSep = comboDisposizioneAnomaliaSep;
	}

	public ComboDisposizioni getComboDisposizioneCausaScarto() {
		return comboDisposizioneCausaScarto;
	}

	public void setComboDisposizioneCausaScarto(ComboDisposizioni comboDisposizioneCausaScarto) {
		this.comboDisposizioneCausaScarto = comboDisposizioneCausaScarto;
	}
	
}
